html, body {
    height: 100%;
}

body {
    padding: 56px 0 0 59px;
    background-color: #ecf2f6;
}

body, h1, p, td {
    color: #333;
}

.img-preview {
  float: left; padding: 4px 12px;
  background: #0a72c8;
  color: #fff;
  font-size: 11px;
  letter-spacing: 0.1em;
  line-height: 1.8em;
  text-transform: uppercase;
  border-top-right-radius: 4px;
  border-top-left-radius: 4px;
}

.modal-content {
  border-radius: 0;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.modal {
  top: 60px;
  z-index: 5100;
}

@media (max-width: 600px) {
  .modal {
    top: 0;
  }
}

.modal-body {
  font-size: 15px;
  line-height: 1.8em;
}

.modal-header {
  background: #f5f5f5;
  padding: 10px 15px;
}

.modal-header h4 {
  margin: 0;
  font-weight: bold;
  font-size: 15px;
  text-transform: uppercase;
}

.btn-primary {
  background: #0c8bf2;
}

.btn-primary:active, .btn-primary:hover, .btn-primary:focus {
  background: #0a72c8;
}

.sidenav {
    margin: 0;
    padding: 0;
    list-style: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 5001;
    background-color: #0a72c8;
}
.sidenav li {
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #0a72c8;
}
.sidenav li a, .sidenav li a:visited {
    display: block;
    text-align: center;
    padding: 15px 20px;
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
}
.sidenav li.active a, .sidenav li a:hover {
    background: #0c8bf2;
}

.sidenav .tooltip {
    text-transform: uppercase;
    white-space: nowrap;
}

.sidenav .tooltip-inner {
    font-size: 11px;
    padding: 6px 12px;
}

.topnav {
    margin: 0;
    padding: 0 15px 0 35px;
    list-style: none;
    position: fixed;
    top: 0;
    left: 58px;
    right: 0;
    z-index: 5000;
    background: #fff;
}

.topnav > li {
    margin: 0;
    padding: 0 20px 0 0;
    list-style: none;
    float: left;
}

.topnav > li > a {
    display: block;
    color: #333;
    background: #fff;
    text-decoration: none;
    cursor: pointer;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: bold;
    padding: 10px 15px;
    margin: 11px 0;
    background: #efefef;
    box-shadow: inset 0 1px #ccc, 0 1px 1px 0 rgba(0,0,0,0.1);
}

.topnav ul.dropdown-menu {
  margin-top: -6px;
}

.topnav .dropdown-menu.pull-right i {
  width: 18px;
}

.topnav .dropdown-menu.pull-right {
  right: 20px;
}

.topnav .dropdown-menu > li > a {
  padding: 10px 15px;
}

.website-menu {
  margin: 0;
  width: 400px;
}

.website-menu td, .website-menu th {
  padding: 10px 50px 10px 0;
  white-space: nowrap;
}

.website-menu th {
  background: #eee;
}

.website-menu tbody tr:hover {
  cursor: pointer;
  background: #f5f5f5;
}

.website-menu tr td:first-child, .website-menu tr th:first-child {
  padding-left: 20px;
}

.website-menu tr td:last-child, .website-menu tr th:last-child {
  padding-right: 20px;
}

.website-menu a {
  text-decoration: none;
}

#wrap {
  min-height: 100%;
  margin-bottom: -50px; 
}
#wrap:after {
  content: "";
  display: block;
}
#footer, #wrap:after {
  height: 50px; 
}
#footer {
    background: #fff;
    padding: 15px 0 15px 35px;
    height: 50px;
    color: #333;
    font-size: 14px;
}

h1 {
    margin: 0;
    padding: 0 0 20px 0;
    font-size: 32px;
}

h2 {
    margin: 0;
    padding: 0 0 20px 0;
    font-size: 18px;
    color: #0a72c8;
}

.subnav {
    margin: 0;
    padding: 0;
}

.subnav li {
    float: left;
    margin: 0 50px 0 0;
    padding: 0;
    list-style: none;
}

.subnav li a {
    display: block;
    text-align: center;
    padding: 10px 0;
    color: #555;
    text-decoration: none;
    font-size: 13px;
    font-weight: bold;
    text-transform: uppercase;
}

.subnav li a.active, .subnav li a:hover {
    color: #333;
    border-bottom: 3px solid #0a72c8;
}

.selectbox {
  background: #ffffff;
  color: #333333;
  padding: 8px;
  line-height: 18px;
  cursor: pointer;
  border: 1px solid #ddd;
  border-radius: 4px;
}

.selectbox:hover {
    border-color: #0c8bf2;
}

.selectbox .caret {
  position: relative;
  top: -2px;
}

.selectbox span {
  padding-left: 3px;
}

.nav-tabs {
  clear: both;
  border-bottom: 1px solid #dddddd;
}
.nav-tabs > li {
  float: left;
  margin-bottom: -1px;
}
.nav-tabs > li > a {
  margin-right: 2px;
  line-height: 1.42857143;
  border: 1px solid transparent;
  border-radius: 4px 4px 0 0;
}
.nav-tabs > li.active > a,
.nav-tabs > li.active > a:hover,
.nav-tabs > li.active > a:focus,
.nav-tabs > li > a:hover {
  color: #fff;
  background-color: #0a72c8;
  border: 1px solid #0c8bf2;
  border-bottom-color: transparent;
}
.nav-tabs-toplevel > li > a {
  margin-top: 6px;
  font-size: 14px;
  font-weight: bold;
  margin-right: 4px;
  background: #cdcdcd;
  border-color: #cdcdcd;
  color: #333;
  padding-top: 7px;
  padding-bottom: 7px;
}
.nav-tabs-toplevel > li > a:hover,
.nav-tabs-toplevel > li > a:focus,
.nav-tabs-toplevel > li.active > a,
.nav-tabs-toplevel > li.active > a:hover,
.nav-tabs-toplevel > li.active > a:focus,
.nav-tabs-toplevel .open > a,
.nav-tabs-toplevel .open > a:hover,
.nav-tabs-toplevel .open > a:focus {
  margin-top: 2px;
  padding-top: 9px;
  padding-bottom: 9px;
}

.nav-tabs > li.ctab > a {
    background: #b6d7f2;
    border-color: #b6d7f2;
}

.nav-tabs > li.ctab.active > a,
.nav-tabs > li.ctab.active > a:hover,
.nav-tabs > li.ctab.active > a:focus,
.nav-tabs > li.ctab > a:hover {
  color: #fff;
  background-color: #0a72c8;
  border: 1px solid #0c8bf2;
  border-bottom-color: transparent;
}

.breadcrumbs {
    margin-bottom: 20px;
    float: left;
}
.breadcrumb-alt {
  overflow: hidden;
  list-style: none;
  margin: 0;
  padding: 0;
  width: 100%;
}
.breadcrumb-alt > li {
  float: left;
  margin: 0 25px 0 0;
}
.breadcrumb-alt > li > a {
  position: relative;
  float: left;
  background-color: #fff;
  color: #767676;
  font-size: 12px;
  padding: 10px;
}
.breadcrumb-alt > li > a:before {
  position: absolute;
  top: 50%;
  left: -1em;
  margin-top: -1.6em;
  border-color: #ffffff #ffffff #ffffff rgba(0, 0, 0, 0);
  border-style: solid;
  border-width: 1.5em 0 1.7em 1em;
  content: "";
}
.breadcrumb-alt > li > a:after {
  position: absolute;
  top: 50%;
  right: -1em;
  margin-top: -1.5em;
  border-bottom: 1.5em solid rgba(0, 0, 0, 0);
  border-left: 1em solid #fff;
  border-top: 1.5em solid rgba(0, 0, 0, 0);
  content: "";
}
.breadcrumb-alt > li > a:hover,
.breadcrumb-alt > li > a.active {
  text-decoration: none;
  background-color: #0a72c8;
  color: #fff;
}
.breadcrumb-alt > li > a:hover:before,
.breadcrumb-alt > li > a.active:before {
  border-color: #0a72c8 #0a72c8 #0a72c8 rgba(0, 0, 0, 0);
}
.breadcrumb-alt > li > a:hover:after,
.breadcrumb-alt > li > a.active:after {
  border-left: 1em solid #0a72c8;
}

/* Reports */
table#report {
  width: 100%;
  margin: 0;
  background: #fff;
  border: 1px solid #ccc;
}
#report th,
#report td {
  padding: 12px 10px;
  font-size: 14px;
  white-space: nowrap;
  vertical-align: middle;
  text-align: right;
}
#report tr th:first-of-type,
#report tr td:first-of-type {
  padding-left: 20px;
}
#report tr th:last-of-type,
#report tr td:last-of-type {
  padding-right: 20px;
}
#report th {
  background: #eee;
  font-weight: bold;
  cursor: pointer;
}
#report th a:link,
#report th a:visited {
  color: #333;
  text-decoration: none;
}
#report tfoot td {
  background: #eee;
}
td.ellipsis {
  text-overflow: ellipsis;
  max-width: 1px;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
}
#report tbody tr:hover td {
  background: #f5f5f5;
}
#report thead .headerSortUp:after {
  display: inline-block;
  width: 0;
  height: 0;
  vertical-align: middle;
  border-top: 4px solid #000000;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
  content: "";
  opacity: 0.5;
  filter: alpha(opacity=50);
  margin-left: 5px;
}
#report thead .headerSortDown:after {
  display: inline-block;
  width: 0;
  height: 0;
  vertical-align: middle;
  border-bottom: 4px solid #000000;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
  content: "";
  opacity: 0.5;
  filter: alpha(opacity=50);
  margin-left: 5px;
}

.tspager {
    font-size: 14px;
    margin: 15px 0 0 0;
}

.tspager button {
    font-size: 12px;
    font-weight: bold;
    text-transform: uppercase;  
}

/* Dashboards */

.box {
    background: #fff;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    margin-top: 20px;
}

.box-footer {
    border-top: 1px solid #eee;
    color: #999;
    text-transform: uppercase;
    font-size: 11px;
    padding: 8px 10px;
}

.box-content {
    text-align: center;
    overflow: auto;
    color: #999;
    min-height: 130px;
}

.box-content td {
    color: #444;
    font-size: 13px;
}

.box-content td i {
    color: #999;
}

#date .box-content {
    padding: 35px 0 0 20px;
    text-align: left;
}

#date .date {
    font-size: 18px;
    line-height: 1em;
}

#date .time {
    color: #494949;
    font-size: 60px;
    line-height: 1em;
}

#channels td, #active td {
    text-align: left;
    padding: 0 10px 0 0;
    font-size: 13px;
}

#channels .progress, #active .progress {
    margin: 4px 0 16px 0;
    height: 4px;
    border-radius: 0;
}

#channels .progress-bar, #active .progress-bar {
    opacity: 0.8;
}

#sources td, #pages td, #locations td {
    padding: 0 10px 15px 0;
}

#content td {
    padding: 10px 20px 12px 0;
    border-bottom: 1px solid #eee;
}

#content td.page_title {
    padding: 12px 20px 0 0;
    border: 0;
}

/* Visits */

.timeline-container {
  padding: 10px 20px 0 10px;
  background: #ffffff url('/images/timeline.png') repeat-y 170px 0;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}
.timeline {
  width: 100%;
  margin: 0;
  border: 0;
}
.timeline.table td {
  border: 0;
  color: #444;
}
.timeline .time {
  color: #666;
  font-size: 13px;
  font-weight: normal;
  padding: 5px 0 0 0;
}
.timeline .time div {
  width: 136px;
  padding: 22px 20px 0 10px;
  text-align: right;
}
.timeline.table .timeline-icon {
  color: #fff;
  padding-top: 15px;
  padding-right: 20px;
}
.timeline .timeline-icon .icon-danger {
  color: #d9534f;
}
.timeline .timeline-icon .icon-primary {
  color: #2896dd;
}
.timeline .timeline-icon .icon-success {
  color: #5eb95e;
}
.timeline .timeline-icon .icon-warning {
  color: #f0ad4e;
}
.timeline .timeline-text {
  font-size: 17px;
  color: #000;
  font-weight: normal;
  padding: 18px 0 15px 0;
  line-height: 1.5em;
}
.timeline .timeline-text ul {
  margin: 10px 0 0 0;
  padding: 0;
  list-style-position: inside;
}
.timeline .timeline-text ul li {
  font-size: 13px;
  font-weight: normal;
  padding-bottom: 5px;
}
.timeline .timeline-text .label {
  display: block;
  margin: 0 10px 10px 0;
  background: #ecf2f6;
  color: #444;
  cursor: default;
  padding: 8px 10px;
  font-size: 14px;
  font-weight: normal;
}
.timeline .click {
  display: none;
}
.timeline-details {
  margin: 10px 0 0 0;
  padding: 0;
  border: 0;
  width: 100%;
}
.timeline-details td {
  font-size: 14px;
  font-weight: normal;
  padding: 0 0px 5px 0;
  vertical-align: middle;
}
.timeline-details td.bullet {
  padding-right: 8px;
}
.timeline-details td.desc {
  padding-right: 12px;
  white-space: nowrap;
  min-width: 80px;
}
.timeline-details td.text {
  width: 100%;
  text-align: left;
}

.timeline-text table td {
  font-size: 14.5px;
}

/* Website List */

.website-box {
    background: #fff;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.website-box .btn {
  margin-left: 10px;
}

.website-box h2 {
  color: #000;
  margin: 0;
  padding: 8px 0 0 0;
  text-transform: uppercase;
  font-size: 15px;
  font-weight: bold;
}

.website-box h2 .label {
  margin-left: 6px;
  position: relative;
  top: -2px;
}

.website-box .graph {
  height: 150px;
  margin-right: 120px;
  border-top: 1px solid #ccc;
  overflow: hidden;
  padding-top: 10px;
}

.website-box .favicon {
  position: absolute; 
  left: 15px; 
  top: 10px; 
  width: 32px; 
  height: 32px; 
  border-radius: 32px; 
  background: #fff; 
  padding-left: 8px; 
  padding-top: 5px;
}

.website-box .favicon img {
  width: 16px;
  height: 16px;
}

/* Links */

#link-modal label {
  font-weight: bold;
  font-size: 14px;
  text-align: right;
  padding-top: 5px;
}

#link-modal .col-xs-8 {
  padding-left: 0;
}

#link-modal .help-block {
  font-size: 14px;
  color: #999;
}

#link-modal .modal-body {
  padding: 20px;
  overflow: auto;
}

#link-modal .pushed-footer {
  background: #f5f5f5;
  padding: 10px 20px;
  margin: 0 -20px -20px -20px;
  overflow: auto;
}

table.link td {
    padding: 15px;
    vertical-align: top;
}

.link .link-header {
  vertical-align: middle;
  padding: 10px 15px;
  background: #fff;
  font-size: 15px;
  border-bottom: 1px solid #ccc;
  background: #f5f5f5;
}

.link .link-footer {
  font-size: 12px;
  text-transform: uppercase;
  padding: 8px 15px;
  color: #666;
  border-top: 1px dotted #ccc;
  background: #f5f5f5;
}

.link .input-group-addon {
  background: #f5f5f5;
  text-transform: uppercase;
  font-size: 12px;
  border-right-width: 0;
  width: 120px;
  text-align: left;
  border: 0;
  border-radius: 0;
}

.link .form-control {
  border-left: 0;
  box-shadow: none;
  border: 0;
}

.link-row {
  cursor: pointer;
}


.payment-form {
    background: #f5f5f5;
    padding: 20px 30px 0 30px;
    margin-bottom: -20px;
}

.payment-form label {
    display: block;
    text-transform: uppercase;
    font-size: 11px;
    padding: 0;
    margin: 0;
}

.payment-form .input {
    margin: 0 0 15px 0;
}

.payment-form img {
    margin: 0 5px 10px 0;
}

#payment-message {
    text-align: left;
    font-size: 13px;
    margin-right: 140px;
    line-height: 1.5em;
}

#goalfilter li a {
    padding: 10px 15px;
}

#signup {
    padding: 20px;
}

#signup .form-group, #signup .checkbox {
    margin-bottom: 20px;
}

#signup label {
    margin-bottom: 0;
    font-weight: bold;
}

#signup .checkbox label {
    font-weight: normal;
}

.website-box .heading {
    padding: 10px 15px 15px 60px;
    background: #f5f5f5;
}

@media (max-width: 750px) {
  .sidenav {
    display: none;
  }
  body {
    padding: 56px 0 0 0;
  }
  .topnav {
    left: 0;
  }
  .selectbox {
    margin-bottom: 10px;
  }
  .timeline-container {
    background-position: 35px 0;
  }
  .timeline .time {
    display: none;
  }
  .website-box .heading {
    padding: 10px 15px;
  }
  .website-box .heading h2 {
    margin-top: 10px;
  }
  h1 {
    font-size: 24px;
  }

}

#upgrade {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.25);
    text-align: center;
    display: none;
}
#upgrade-close {
    position: absolute;
    top: 0;
    right: 0;
    background: #eee;
    padding: 5px 10px;
    font-size: 18px;
    font-weight: bold;
    color: #555;
    cursor: pointer;
}
#upgrade-modal {
    position: relative;
    margin: 100px auto 0 auto;
    width: 750px;
    background: #fff;
    border: 1px solid #ddd;
    box-shadow: 0 0 15px rgba(0,0,0,0.2), 0 1px 5px rgba(0,0,0,0.1);
    text-align: left;
    padding: 20px;
}
#upgrade-modal h1 {
    margin: 0 0 20px 0;
    padding: 0;
    text-align: center;
    font-weight: normal;
    color: #555;
    font-size: 20px;
}
#upgrade-modal .fa-ul-gray > li > i {
    color: #ccc;
}
#upgrade-modal .fa-ul-green > li > i {
    color: #5cb85c;
}
#upgrade-modal .fa-ul-blue > li > i {
    color: #337ab7;
}
#upgrade-modal .fa-ul > li {
    padding-bottom: 5px;
    color: #555;
}
#upgrade-modal .fa-ul {
    margin-bottom: -5px;
}